curl -X PATCH https://api.saturn-pay.com/v1/agents/agt_abc123 \
-H "Authorization: Bearer sk_agt_..." \
-H "Content-Type: application/json" \
-d '{
"name": "renamed-agent"
}'
curl -X PATCH https://api.saturn-pay.com/v1/agents/agt_abc123 \
-H "Authorization: Bearer sk_agt_..." \
-H "Content-Type: application/json" \
-d '{
"killed": true
}'
// Enable kill switch
const response = await fetch('https://api.saturn-pay.com/v1/agents/agt_abc123', {
method: 'PATCH',
headers: {
'Authorization': 'Bearer sk_agt_...',
'Content-Type': 'application/json'
},
body: JSON.stringify({ killed: true })
});
import requests
# Disable kill switch
response = requests.patch(
'https://api.saturn-pay.com/v1/agents/agt_abc123',
headers={'Authorization': 'Bearer sk_agt_...'},
json={'killed': False}
)
{
"id": "agt_abc123",
"name": "renamed-agent",
"killed": true,
"createdAt": "2024-01-15T10:30:00Z",
"lastActiveAt": "2024-01-20T14:22:00Z"
}
Agents
Update Agent
Update an agent’s properties
PATCH
/
v1
/
agents
/
{id}
curl -X PATCH https://api.saturn-pay.com/v1/agents/agt_abc123 \
-H "Authorization: Bearer sk_agt_..." \
-H "Content-Type: application/json" \
-d '{
"name": "renamed-agent"
}'
curl -X PATCH https://api.saturn-pay.com/v1/agents/agt_abc123 \
-H "Authorization: Bearer sk_agt_..." \
-H "Content-Type: application/json" \
-d '{
"killed": true
}'
// Enable kill switch
const response = await fetch('https://api.saturn-pay.com/v1/agents/agt_abc123', {
method: 'PATCH',
headers: {
'Authorization': 'Bearer sk_agt_...',
'Content-Type': 'application/json'
},
body: JSON.stringify({ killed: true })
});
import requests
# Disable kill switch
response = requests.patch(
'https://api.saturn-pay.com/v1/agents/agt_abc123',
headers={'Authorization': 'Bearer sk_agt_...'},
json={'killed': False}
)
{
"id": "agt_abc123",
"name": "renamed-agent",
"killed": true,
"createdAt": "2024-01-15T10:30:00Z",
"lastActiveAt": "2024-01-20T14:22:00Z"
}
Updates an agent’s name or kill switch status.
Path Parameters
string
required
The agent ID (e.g.,
agt_abc123)Request
string
New name for the agent
boolean
Set to
true to enable kill switch (immediately blocks all API calls).
Set to false to disable.Response
Returns the updated agent object.curl -X PATCH https://api.saturn-pay.com/v1/agents/agt_abc123 \
-H "Authorization: Bearer sk_agt_..." \
-H "Content-Type: application/json" \
-d '{
"name": "renamed-agent"
}'
curl -X PATCH https://api.saturn-pay.com/v1/agents/agt_abc123 \
-H "Authorization: Bearer sk_agt_..." \
-H "Content-Type: application/json" \
-d '{
"killed": true
}'
// Enable kill switch
const response = await fetch('https://api.saturn-pay.com/v1/agents/agt_abc123', {
method: 'PATCH',
headers: {
'Authorization': 'Bearer sk_agt_...',
'Content-Type': 'application/json'
},
body: JSON.stringify({ killed: true })
});
import requests
# Disable kill switch
response = requests.patch(
'https://api.saturn-pay.com/v1/agents/agt_abc123',
headers={'Authorization': 'Bearer sk_agt_...'},
json={'killed': False}
)
{
"id": "agt_abc123",
"name": "renamed-agent",
"killed": true,
"createdAt": "2024-01-15T10:30:00Z",
"lastActiveAt": "2024-01-20T14:22:00Z"
}
⌘I